#accept-dtk-visible-devices-as-volume-mounts = false
#accept-dtk-visible-devices-envvar-when-unprivileged = true
disable-require = false
#swarm-resource = "DOCKER_RESOURCE_HCU"

[dtk-container-cli]
#debug = "/var/log/dcu-container-toolkit.log"
#ldcache = "/etc/ld.so.cache"
#no-cgroups = false
#path = "/usr/bin/dtk-container-cli"
#root = "/run/dtk/driver"
#user = "root:video"

[dcu-container-runtime]
#debug = "/var/log/dcu-container-runtime.log"
log-level = "info"
mode = "auto"
runtimes = ["docker-runc", "runc", "crun"]

[dcu-container-runtime.modes]

[dcu-container-runtime.modes.cdi]
annotation-prefixes = ["cdi.k8s.io/"]
default-kind = "dcuopt.com/hcu"
spec-dirs = ["/etc/cdi", "/var/run/cdi"]

[dcu-container-runtime.modes.csv]
mount-spec-path = "/etc/dcu-container-runtime/host-files-for-container.d"

[dcu-ctk]
path = "dcu-ctk"
